%define oname TaskCoach
%define major 1.3
%define minor 13

Name:           taskcoach
Version:        %{major}.%{minor}
Release:        %mkrel 1
Summary:        Your friendly task manager
License:        GPLv3
Group:          Office
Url:            http://www.taskcoach.org/
Source0:        http://downloads.sourceforge.net/%{name}/%{oname}-%{version}.tar.gz
Source1:        %{name}.desktop
BuildRequires:  python-devel
BuildRequires:  wxPython >= 2.8.9.1
BuildRequires:  imagemagick
Requires:       wxPython

%description
Task Coach is a simple open source todo manager to keep track of personal
tasks and todo lists. It grew out of a frustration that most task managers
do not provide facilities for composite tasks. Often, tasks and other
things todo consist of several activities. Task Coach is designed to deal
with composite tasks. In addition, it offers effort tracking, categories,
and notes.
Task Coach is available for Windows, Mac OS X, Linux, BSD, and iPhone and
iPod Touch.

%prep
%setup -q -n %{oname}-%{version}

%build

%install
rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST
#can't rename it as FILE_LIST contains .py
#mv %{buildroot}%{_bindir}/%{name}.py %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_liconsdir}
convert -resize 16x16 icons.in/taskcoach.png %{buildroot}%{_miconsdir}/%{name}.png
convert -resize 32x32 icons.in/taskcoach.png %{buildroot}%{_iconsdir}/%{name}.png
convert -resize 48x48 icons.in/taskcoach.png %{buildroot}%{_liconsdir}/%{name}.png
%{__install} -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop

%files -f FILE_LIST
%doc CHANGES.txt COPYRIGHT.txt LICENSE.txt README.txt
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog

* Thu Apr 19 2012 dams <dams> 1.3.13-1.mga2
+ Revision: 231797
- new version 1.3.13

* Tue Apr 10 2012 dams <dams> 1.3.12-1.mga2
+ Revision: 230105
- new version 1.3.12

* Fri Mar 09 2012 dams <dams> 1.3.9-1.mga2
+ Revision: 222061
- new version 1.3.9

* Mon Feb 27 2012 dams <dams> 1.3.8-1.mga2
+ Revision: 215650
- new version 1.3.8

* Tue Feb 07 2012 dams <dams> 1.3.7-1.mga2
+ Revision: 205662
- new version 1.3.7

* Tue Jan 24 2012 dams <dams> 1.3.6-1.mga2
+ Revision: 200649
- new version 1.3.6

* Tue Jan 24 2012 dams <dams> 1.3.5-1.mga2
+ Revision: 200488
- new version 1.3.5

* Tue Dec 27 2011 dams <dams> 1.3.4-1.mga2
+ Revision: 188145
- new version 1.3.4

* Tue Dec 20 2011 dams <dams> 1.3.3-1.mga2
+ Revision: 184838
- new version 1.3.3

* Thu Dec 08 2011 dams <dams> 1.3.2-1.mga2
+ Revision: 178931
- new version 1.3.2

* Tue Nov 29 2011 dams <dams> 1.3.1-1.mga2
+ Revision: 174091
- new version 1.3.1
- clean specfile

* Mon Nov 21 2011 dams <dams> 1.3.0-1.mga2
+ Revision: 170479
- new version 1.3.0

* Mon Nov 14 2011 dams <dams> 1.2.31-1.mga2
+ Revision: 167409
- new version 1.2.31

* Mon Oct 24 2011 fwang <fwang> 1.2.30-1.mga2
+ Revision: 157640
- new version 1.2.30

* Mon Oct 17 2011 obgr_seneca <obgr_seneca> 1.2.29-1.mga2
+ Revision: 155970
- new version 1.2.29

* Mon Sep 19 2011 dams <dams> 1.2.28-1.mga2
+ Revision: 145471
- update to 1.2.28

* Mon Aug 29 2011 dams <dams> 1.2.27-1.mga2
+ Revision: 136106
- Update to 1.2.27
- Update to 1.2.25
- Update to 1.2.24

* Fri Jul 08 2011 dams <dams> 1.2.23-1.mga2
+ Revision: 120701
- Update to 1.2.23

* Tue Jul 05 2011 dams <dams> 1.2.22-1.mga2
+ Revision: 118914
- Update to 1.2.22

* Tue Jun 14 2011 dams <dams> 1.2.20-1.mga2
+ Revision: 106109
+ rebuild (emptylog)

* Tue Jun 07 2011 obgr_seneca <obgr_seneca> 1.2.19-1.mga2
+ Revision: 101617
- new version 1.2.19

* Mon May 23 2011 dams <dams> 1.2.18-1.mga1
+ Revision: 100238
- Update to 1.2.18

* Mon May 16 2011 dams <dams> 1.2.17-1.mga1
+ Revision: 99205
- update to 1.2.17
- update to 1.2.16

* Wed Apr 20 2011 dams <dams> 1.2.14-1.mga1
+ Revision: 89045
- Update to 1.2.14

* Mon Apr 11 2011 dams <dams> 1.2.13-3.mga1
+ Revision: 83327
+ rebuild (emptylog)

* Mon Apr 11 2011 dams <dams> 1.2.13-2.mga1
+ Revision: 83322
+ rebuild (emptylog)

* Mon Apr 11 2011 dams <dams> 1.2.13-1.mga1
+ Revision: 83233
- Update to 1.2.13
- Update to 1.2.13

* Fri Apr 01 2011 obgr_seneca <obgr_seneca> 1.2.12-2.mga1
+ Revision: 79659
- added forgotten icons

* Mon Mar 28 2011 obgr_seneca <obgr_seneca> 1.2.12-1.mga1
+ Revision: 78451
- imported package taskcoach

